unit Alter;

interface

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Compress, Segment;

type
  TAltForm = class(TForm)
    Label1: TLabel;
    EOrig: TEdit;
    Label2: TLabel;
    ENew: TEdit;
    CloseBtn: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure NewTarget( SArc: TSegArc );
  end;

var
  AltForm: TAltForm;

implementation

{$R *.DFM}

procedure TAltForm.NewTarget( SArc: TSegArc );
begin
     EOrig.Text := SArc.Target;
     ENew.Text := SArc.Target;
     ShowModal;
     SArc.Target := ENew.Text;
     { Targets must end in '\' }
     if (SArc.Target[Length(SArc.Target)] <> '\') then
       SArc.Target := SArc.Target + '\';
end;

end.
